## ros-melodic-rr-rover-zero-driver 1.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rr_rover_zero_driver)

find_package(catkin REQUIRED COMPONENTS
  rospy
  geometry_msgs
  diagnostic_msgs
  nav_msgs
  std_msgs
)

catkin_python_setup()

################################################
## Declare ROS messages, services and actions ##
################################################


################################################
## Declare ROS dynamic reconfigure parameters ##
################################################


###################################
## catkin specific configuration ##
###################################
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES rr_control_input_manager
#  CATKIN_DEPENDS roscpp rospy std_msgs
#  DEPENDS system_lib
)

###########
## Build ##
###########
#include_directories(
# include
#  ${catkin_INCLUDE_DIRS}
#)


#############
## Install ##
#############

catkin_install_python(PROGRAMS scripts/rover_zero.py
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#catkin_install_python(PROGRAMS driver/roboclaw.py
#  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/driver
#)

## Copy launch files
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
  FILES_MATCHING PATTERN "*.launch"
)

## Copy config files
#install(DIRECTORY config/
#  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config
#  FILES_MATCHING PATTERN "*.yaml"
#)

## Copy test files
#install(DIRECTORY test/
#  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/driver
#  FILES_MATCHING PATTERN "*"
#)

#############
## Testing ##
#############

=== debian/changelog ===
ros-melodic-rr-rover-zero-driver (1.1.1-1bionic) bionic; urgency=high

  * correct find_packge for rover zero cmakelists
  * fixing pyKDL RPY to Quat conversion
  * fix rospy dependency issue
  * proper depend tag
  * add pyserial to package.xml
  * Contributors: 1102, padiln

 -- nickp <nickp@todo.todo>  Mon, 15 Jun 2020 05:00:00 -0000

ros-melodic-rr-rover-zero-driver (1.1.0-1bionic) bionic; urgency=high

  * release to melodic

 -- nickp <nickp@todo.todo>  Mon, 08 Jun 2020 05:00:00 -0000

ros-melodic-rr-rover-zero-driver (1.0.0-1bionic) bionic; urgency=high

  * add all ros parameters to launch files
  * updated rr_rover_zero_driver to support pid and encoders
  * merge with develop branch
  * Merge pull request #75 <https://github.com/RoverRobotics/rr_openrover_stack/issues/75> from RoverRobotics/feature/rook/rover_zero_driver_estop
    Feature/rook/rover zero driver estop
  * Fixed estop merge issue
  * changed lock name to be more descriptive
  * Merge pull request #72 <https://github.com/RoverRobotics/rr_openrover_stack/issues/72> from RoverRobotics/feature/rookrobotic/rover_zer_pid_get_set
    fix syntax issues
  * Merge branch 'develop' into feature/rookrobotic/rover_zer_pid_get_set
  * fix syntax issues
  * Update rover_zero.py
    make _v_pid_overwrite a boolean.
  * added odometry data to rover_zero.py
  * Estop Handler in Roboclaw
  * fix variable names
  * getter and setter for Velocity Pid
  * start odometry callback
  * Default Twist message subscriber to /cmd_vel
  * Contributors: William Rook, padiln

 -- nickp <nickp@todo.todo>  Mon, 08 Jun 2020 05:00:00 -0000

ros-melodic-rr-rover-zero-driver (0.8.0-1bionic) bionic; urgency=high

  * Added rr_rover_zero_driver

 -- nickp <nickp@todo.todo>  Wed, 25 Mar 2020 05:00:00 -0000

ros-melodic-rr-rover-zero-driver (0.7.4-1bionic) bionic; urgency=high



 -- nickp <nickp@todo.todo>  Wed, 19 Feb 2020 06:00:00 -0000

ros-melodic-rr-rover-zero-driver (0.7.3-1bionic) bionic; urgency=high



 -- nickp <nickp@todo.todo>  Mon, 14 Oct 2019 05:00:00 -0000

ros-melodic-rr-rover-zero-driver (0.7.2-1bionic) bionic; urgency=high



 -- nickp <nickp@todo.todo>  Thu, 18 Jul 2019 05:00:00 -0000

=== debian/control ===
Source: ros-melodic-rr-rover-zero-driver
Section: misc
Priority: optional
Maintainer: nickp <nickp@todo.todo>
Build-Depends: debhelper (>= 9.0.0), python-serial, ros-melodic-catkin, ros-melodic-diagnostic-msgs, ros-melodic-geometry-msgs, ros-melodic-nav-msgs, ros-melodic-python-orocos-kdl, ros-melodic-rospy, ros-melodic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-rr-rover-zero-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-serial, ros-melodic-diagnostic-msgs, ros-melodic-geometry-msgs, ros-melodic-nav-msgs, ros-melodic-python-orocos-kdl, ros-melodic-rospy, ros-melodic-std-msgs
Description: The rover_zero_driver package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rr-rover-zero-driver//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
